from scrabble import is_word

def collapses(s):
    if is_word(s):
        if len(s) == 1:
            return [s]
        i = 0
        while i < len(s):
            t = s[:i] + s[i+1:]
            t_chain = collapses(t) # if not None, this will be the chain for t
            if t_chain is not None:
                return [s] + t_chain
            i += 1
    return None
